Обновление zabbix 3.2 до версии 3.4

Пока все наслаждаются новостью об 4 версии, я решил немного приблизиться к ней. И так, у меня есть версия 3.2.11 и я буду ее обновлять до версии 3.4.14. Первое что необходимо сделать это бэкап, я бэкапил сразу целую виртуалку!

Сделал бэкап? Нет? Тогда дальше не советую читать!

Для начала мы определим что за версия системы установлена у нас.

В моем случае оказалась ubuntu 14, но обновление в 16 не сложное и тоже рассмотрено!

Ubuntu 14:

Ubuntu 16:

В процессе установки вылезет два вопроса, на которые я ответил (без ответа не проходит установка) — N.

Дальше открываем в браузере наш Zabbix и можем наблюдать вот такую картину.

The frontend does not match Zabbix database. Current database version (mandatory/optional): 3020000/3020001. Required mandatory version: 3040000. Contact your system administrator.

Решения тут два:

  1. Обновление прошло криво, откатываемся назад и пробуем снова.
  2. КЭШ браузера, чистим кэш и пробуем открыть zabbix.

И немного поправил себе уведомления, а то старые уведомления были длинными и не красивыми.

Уведомления из версии 3.2

Новые уведомления

Уведомления настраиваются в меню Настройка — Действия.

Поделиться статьей:

Оставить комментарий

Доступные тэги оформления текста:

Смайлики:

;) :yesss: :tuktuk: :tu-tu: :sos: :pivo: :oops: :music: :flammlin: :diyavol: :cry: :cool: :aaaaaaa: :-P :-D :-* :) :( 8O 8)

 INFOBOX - хостинг php, mysql + бесплатный домен! Яндекс цитирования  Яндекс.Метрика Счетчик PR-CY.Rank  проверить сайт